
## 接入方式
### 使用 `require` 引用 SDK 模块：

```js
var plugin = require("../../vendor/mps-sdk/index.js")
```

### 自定义组件的引用方式
  - json配置文件中添加
```
{
  "usingComponents": {
    "mps": "../../vendor/mps-sdk/components/mps/mps"
  }
}
```
  - wxml文件
```
<mps></mps>
```
### 请将以下域名添加到request的合法域名中
configmps.aodianyun.com
mqmps.aodianyun.com:843

### 注：基础库请使用至少2.0.1的版本

## 开放api
###  LssInit
    - 参数{
        WeChartApp:'',//小程序的名称
        url: '',//可选 string 视屏地址 动态直播有效,
        uin: xxx,//必选  int 奥点uin
        appId: '',//必选 string mps实例
        autostart: false,//可选 boolean 是否自动播放  默认false
        callback: callback,//必选 function 实例初始化成功的回调  注：必须在此回调成功之后在对mps组件渲染
        muted: false,//可选 boolean 是否静音播放  默认false
        loop: data.loop,//可选 boolean 是否循环播放  默认false
        objectFit: 'contain',//可选 string 当视频大小与 video 容器大小不一致时，视频的表现形式。contain：包含，fill：填充，cover：覆盖
        direction: 0 //设置全屏时视频的方向，不指定则根据宽高比自动判断。有效值为 0（正常竖向）, 90（屏幕逆时针90度）, -90（屏幕顺时针90度）
    }
###  VodInit
    - 参数{
        WeChartApp:'',//小程序的名称
        url: '',//可选 string 视屏地址 动态直播有效,
        uin: xxx,//必选  int 奥点uin
        appId: '',//必选 string mps实例
        autostart: false,//可选 boolean 是否自动播放 
        callback: callback,//必选 function 实例初始化成功的回调  注：必须在此回调成功之后在对mps组件渲染
        muted: false,//可选 boolean 是否静音播放  默认false
        loop: data.loop,//可选 boolean 是否循环播放  默认false
        objectFit: 'contain',//可选 string 当视频大小与 video 容器大小不一致时，视频的表现形式。contain：包含，fill：填充，cover：覆盖
        direction: 0 //设置全屏时视频的方向，不指定则根据宽高比自动判断。有效值为 0（正常竖向）, 90（屏幕逆时针90度）, -90（屏幕顺时针90度）
    }
###  SendDanmu
    - 参数:{
      text: '',//string 弹幕内容
      color: '',// 弹幕颜色
    }
###  Play
    - 参数:{
       playCallback:xxx,//可选 function 视屏播放的时候回调
    }
###  Pause
    - 参数:{
       pauseCallback:xxx,//可选 function 视屏暂停的时候回调
    }
###  Currenttime
    返回当前时间 秒数 播放中有效
###  Totalfiletime
    返回总时间 秒数 播放中有效
## 开放样式
### 位置
mps-pos-class
### 宽高
mps-size-class
## 自定义节点
slot="controls"
示例：
```
<mps mps-pos-class="video-pos" mps-size-class='mps-view'>
<view slot="controls"></view>
</mps>
```
样式示例:
```
.video-pos{
left:5vw;
top:40rpx;
right:5vw;
}
.mps-view{
  width:90vw;
  height:438rpx;
}
```

